## cloog-ppl-gcc4 0.16.1

=== debian/changelog ===
cloog-ppl-gcc4 (0.16.1-6ubuntu3) xenial; urgency=medium

  * Don't pass -Wdate-time when building with gcc-4.7.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Apr 2016 14:12:20 +0200

cloog-ppl-gcc4 (0.16.1-6ubuntu2) xenial; urgency=medium

  * Build using gcc-4.7 except on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Dec 2015 19:21:26 +0100

cloog-ppl-gcc4 (0.16.1-6ubuntu1) xenial; urgency=medium

  * For use in gcc-4.7, build a GCC 4.x compatible shared
    libcloog-pplv4-1 with -D_GLIBCXX_USE_CXX11_ABI=0.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Dec 2015 14:40:00 +0100

cloog-ppl (0.16.1-6) unstable; urgency=medium

  * The library has a LGPL-2.1 copyright, not GPL. LP: #1271160.
  * Enable parallel builds.
  * Bump debhelper to v9.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Dec 2015 11:14:16 +0100

cloog-ppl (0.16.1-5) unstable; urgency=medium

  * Rebuild using ppl 1.1.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 19:57:49 +0100

cloog-ppl (0.16.1-4) unstable; urgency=medium

  * Patch m4/libtool.m4 for powerpc64le and regenerate configure.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Dec 2013 23:26:23 +0100

cloog-ppl (0.16.1-3) unstable; urgency=low

  * Use dh_autotools-dev_* to update config.guess/config.sub for
    arm64 (Colin Watson). Closes: #711727.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jun 2013 16:02:25 +0200

cloog-ppl (0.16.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 16:35:43 +0200

cloog-ppl (0.16.1-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2013 02:51:16 +0100

cloog-ppl (0.15.11-5) unstable; urgency=low

  * Drop the help2man build dependency, and install a pre-generated
    man page when cross-building the package.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Dec 2012 13:49:25 +0100

cloog-ppl (0.15.11-4) unstable; urgency=low

  * Install the cloog binary as cloog-ppl, provide cloog as an alternative.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Dec 2011 18:50:25 +0100

cloog-ppl (0.15.11-3.1) unstable; urgency=low

  * NMU: Fix help2man invocation a little harder, so it actually works.

 -- Adam Conrad <adconrad@debian.org>  Thu, 08 Dec 2011 09:56:52 -0700

cloog-ppl (0.15.11-3) unstable; urgency=low

  * Fix help2man invocation.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Dec 2011 13:13:05 +0100

cloog-ppl (0.15.11-2) unstable; urgency=low

  * Add build dependency on help2man.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Dec 2011 02:09:43 +0100

cloog-ppl (0.15.11-1) unstable; urgency=low

  * Build multiarch packages.
  * Split out the binary into a new cloog-ppl package.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Dec 2011 12:47:59 +0100

cloog-ppl (0.15.9-3) unstable; urgency=low

  * Build against PPL 0.11.
  * Move to libgmp-dev instead of libgmp3-dev.

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Mar 2011 16:01:52 +0100

cloog-ppl (0.15.9-2) unstable; urgency=medium

  * Set the soname to `libcloog-debian.0'. The currently used name is
    used for the next (incompatible) upstream version.  Still provide
    the old name until the gcc-4.4, gcj-4.4 and gnat-4.4 packages are
    rebuilt.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Aug 2010 03:53:08 +0200

cloog-ppl (0.15.9-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2010 18:21:15 +0200

cloog-ppl (0.15.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2010 16:10:04 +0100

cloog-ppl (0.15.7-1) unstable; urgency=low

  * New upstream version. Closes: #541842.
  * Add watch file.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 16:16:19 +0200

cloog-ppl (0.15-2) unstable; urgency=low

  * Add info dir entry. Closes: #528879.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Aug 2009 11:17:55 +0200

cloog-ppl (0.15-1) unstable; urgency=low

  * cloog-ppl 0.15 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Dec 2008 15:35:51 +0100

cloog-ppl (0.15~git20081008-2) unstable; urgency=low

  * (Build)-depend on libppl0.10-dev instead of libppl-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2008 06:49:12 +0200

cloog-ppl (0.15~git20081008-1) unstable; urgency=low

  * Update to 0.15 git 20081008.
  * Tighten build dependency on ppl.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2008 08:30:20 +0200

cloog-ppl (0.15~git20080903-3) unstable; urgency=low

  * Build using ppl (>= 0.10~pre27).
  * Merge from Ubuntu:
    - Rename ppl_version_* functions to cloog_version_*.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2008 08:38:13 +0200

cloog-ppl (0.15~git20080915-2) unstable; urgency=low

  * Build-depend on texinfo. Closes: #499741.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Sep 2008 18:07:08 +0200

cloog-ppl (0.15~git20080915-1) unstable; urgency=low

  * Update to 0.15 git 20080915.
    - Rename ppl_version_* functions to cloog_version_*.
    - Remove test/reports from the source tarball.
  * Build using ppl (>= 0.10~pre27).
  * debian/copyright: Update.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Sep 2008 21:53:39 +0200

cloog-ppl (0.15~git20080903-2) experimental; urgency=low

  * debian/copyright: Add GFDL.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 20:08:31 +0200

cloog-ppl (0.15~git20080903-1) experimental; urgency=low

  * Initial release (build dependency of gcc-snapshot / GCC-4.4).
  * Change the soname to libcloog-ppl, to be able to allow parallel
    installation with cloog configured with polylib.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 16:38:37 +0200
