=== debian/control ===
Source: cloog-ppl-gcc4
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 9), automake1.11, autotools-dev, libpplv4-dev (>= 1:1.1-7ubuntu3), libgmpv4-dev, texinfo, g++-4.7 [!ppc64el]
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.CLooG.org

Package: libcloog-pplv4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpplv4-dev (>= 1:1.1), libgmpv4-dev, libcloog-pplv4-1 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcloog-ppl-dev, libcloog-isl-dev
Description: Chunky Loop Generator (development files)
 CLooG is a software which generates loops for scanning Z-polyhedra. That is,
 CLooG finds the code or pseudo-code where each integral point of one or more
 parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
 designed to avoid control overhead and to produce a very efficient code.
 .
 This package contains the development files.

Package: libcloog-pplv4-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the runtime library.
