=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
  CC = $(DEB_HOST_GNU_TYPE)-gcc
else
  CC = $(DEB_HOST_GNU_TYPE)-gcc-4.7
endif
CFLAGS := $(subst -strong,,$(shell DEB_CPPFLAGS_MAINT_STRIP=-Wdate-time dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)) -D_GLIBCXX_USE_CXX11_ABI=0
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	chmod +x configure
#	./configure $(CROSS) \
#		--prefix=/usr \
#		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
#		--with-ppl \
#		CC="$(CC)" \
#		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	./configure $(CROSS) \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-ppl \
		CC="$(CC)" \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) $(NJOBS)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check
endif
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/*.info
	dh_autotools-dev_restoreconfig
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv debian/tmp/usr/bin/cloog debian/tmp/usr/bin/cloog-ppl
	rm -f debian/tmp/usr/share/info/dir*
	mkdir -p debian/tmp/usr/share/man/man1
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	if which help2man >/dev/null 2>&1; then \
	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-pplv4.so.1 \
	PATH=$(CURDIR)/debian/tmp/usr/bin:$$PATH \
		help2man -n 'The Chunky Loop Genertor' cloog-ppl \
		> debian/cloog-ppl.1; \
	fi
endif
	cp debian/cloog-ppl.1 debian/tmp/usr/share/man/man1/
	dh_install --sourcedir=debian/tmp --list-missing
	ln -sf libcloog-pplv4.so debian/libcloog-pplv4-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so
	ln -sf libcloog-pplv4.a  debian/libcloog-pplv4-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.a

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libcloog-pplv4-1'
	dh_installdeb
	dh_shlibdeps
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
